Skip to content

Update Asset

PUT
/api/creative/marketing/assets/{asset_id}

Update a marketing asset.

asset_id
required
Asset Id
string
UpdateMarketingAssetRequest

Request body for updating a marketing asset (partial).

object
title
Any of:
string
content
Any of:
string
status
Any of:
string
metadata
Any of:
object
key
additional properties
Any of:
string

Successful Response

MarketingAssetResponse

Response wrapper for single-asset operations.

object
success
required
Success

Operation success

boolean
asset
Any of:
MarketingAssetData

A single marketing asset (blurb, tagline, social post, etc.).

object
id
required
Id

Asset ID

string
projectId
required
Projectid

Owning project

string
assetType
required
Assettype

Asset type discriminator

string
title
required
Title

Display title

string
content
required
Content

Asset content/body

string
status
required
Status

Draft/final/archived

string
metadata
Metadata
object
key
additional properties
Any of:
string
createdAt
required
Createdat

Unix timestamp

integer
modifiedAt
required
Modifiedat

Unix timestamp

integer
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object